### Method

# Tsparql Batch execute_async

since: 3.1

#### Declaration [src]

    void
    tracker_batch_execute_async (
      TrackerBatch* batch,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Executes the batch. This operation happens asynchronously, when finished `callback` will be executed.

Available since: 3.1

This method completes asynchronously. Use `tracker_batch_execute_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  User-defined `GAsyncReadyCallback` to be called when the asynchronous operation is finished.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User-defined data to be passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.